#
# spec file for package bpython
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           bpython
Version:        0.9.7.1
Release:        4.5.1
Summary:        Fancy Curses Interface to the Python Interactive Interpreter
Source:         http://www.bpython-interpreter.org/releases/bpython-%{version}.tar.gz
Source1:        bpython.desktop
Source99:       rpmlintrc
Url:            http://www.bpython-interpreter.org/
Group:          Development/Languages/Python
License:        MIT/X Consortium License
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python python-devel
%if 0%{?suse_version} > 1020
BuildRequires:  python-setuptools
%endif
BuildRequires:  update-desktop-files
Requires:       python-pygments python-parsing python-curses
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif
%py_requires

%description
bpython is an enhanced Python interactive interpreter that uses curses
and provides the following main features: in-line syntax highlighting;
readline-like autocompletion with suggestions displayed as you type; expected
argument specification for functions; a handy pastebin function to quickly
submit your code and return a URL. Its goal is to bring together a few handy
ideas to enhance the standard interpreter without getting carried away.

%prep
%setup -q -n "bpython-%{version}"

%build
%__python ./setup.py build

%install
%__python ./setup.py install --prefix="%{_prefix}" --root="%{buildroot}" \
			 --record-rpm=files.lst

for f in keys cli; do
    if head -1 '%{buildroot}%{python_sitelib}/bpython'/"$f".py | grep -qE '^#!'; then
        %__sed -i '1d' '%{buildroot}%{python_sitelib}/bpython'/"$f".py
    fi
done

%__perl -n -i -e 'print $_ unless m,^(%dir\s+)?%{_datadir}/(applications|man),' files.lst

%__install -D -m0644 "%{SOURCE1}" "%{buildroot}%{_datadir}/applications/%{name}.desktop"
%suse_update_desktop_file -r "%{name}" Development IDE

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f files.lst
%defattr(-,root,root)
%doc CHANGELOG LICENSE README
%doc %{_mandir}/man1/bpython.1%{ext_man}
%doc %{_mandir}/man5/bpython-config.5%{ext_man}
%{_datadir}/applications/%{name}.desktop

%changelog
* Fri May 13 2011 pth@suse.de
- Add missing requires for python-curses (bnc#693545).
* Tue Aug  3 2010 pascal.bleser@opensuse.org
- update to 0.9.7.1:
  * new features:
    + pastebin confirmation
    + ability to ignore PYTHONSTARTUP when launched with -i
    + addition of bpdb (bpython python debugger)
    + correct operation of C-w
    + a more comprehensive unit testing suite
    + pastebin deduplication
    + import completion improvements
    + GTK improvements
  * bug fixes
* Thu Dec 31 2009 pascal.bleser@opensuse.org
- update to 0.9.6.2:
  * fixes Python 3 compatibility
* Thu Dec 31 2009 pascal.bleser@opensuse.org
- update to 0.9.6.1:
  * a crash in the "Save" functionality was fixed
* Wed Dec 30 2009 pascal.bleser@opensuse.org
- update to 0.9.6:
  * numerous minor bugs were fixed
  * features were implemented to make general usage a lot smoother
  * a showcase of beta GTK support was added
* Thu Oct  1 2009 pascal.bleser@opensuse.org
- update to 0.9.5.2:
  * filename expansion was fixed
  * future imports now work
  * docstring fixes were made for types with their own __init__ method
* Wed Sep 23 2009 pascal.bleser@opensuse.org
- update to 0.9.5.1:
  * various bugfixes
  * introspect on Python functions' source code
  * initial Python 3.x support
  * miscellaneous configuration improvements
* Fri Jul 24 2009 pascal.bleser@opensuse.org
- update to 0.9.4:
  * bugfix release
  * a few extra enhancements to parenthesis highlighting and extended key configurability
  * tab completion for filenames when inside a string
* Thu Jun 18 2009 pascal.bleser@opensuse.org
- update to 0.9.3
* Tue Jun  2 2009 pascal.bleser@opensuse.org
- update to 0.9.0:
  * import completion was added
  * paste.pocoo.org is now used for pastebin
  * a color scheme that works well with a white background was added
  * general bugfixes and improvements were made
* Tue Aug 26 2008 guru@unixtech.be
- update to 0.7.0:
  * bugfixes
  * fixed handling of home/end/del etc. properly
  * raw_input() and friends now work correctly
  * fixed parsing PYTHONSTARTUP
  * adds manpages
* Sun Jun 29 2008 guru@unixtech.be
- new upstream version
* Sun Jun 15 2008 guru@unixtech.be
- new upstream version:
  * code cleanups
  * fixed several bugs that could cause bpython to crash due to autocompletion drama
  * properly returns control to the terminal on the event of a traceback
* Mon Apr 28 2008 guru@unixtech.be
- removed patch, was merged upstream
- new upstream version
* Sun Apr 27 2008 guru@unixtech.be
- new package
